package tests.fr.cnrs.mri.sijame.messages;

import junit.framework.Assert;

import org.junit.Test;

import fr.cnrs.mri.sijame.messages.Message;
import fr.cnrs.mri.sijame.messages.RequestMessage;


public class MessageTest {
	
	@Test
	public void testGetData() {
		Message message = new RequestMessage("test");
		Assert.assertEquals("test", message.getData());
		message = new RequestMessage(34);
		Assert.assertEquals(34, message.getData());
	}
	
	@Test 
	public void getReceiver() {
		Message message = new RequestMessage("test");
		Assert.assertEquals("", message.getReceiver());
		message.setReceiver("chat-system");
		Assert.assertEquals("chat-system", message.getReceiver());
	}
	
	@Test
	public void testGetSenderName() {
		Message message = new RequestMessage("test");
		Assert.assertEquals("", message.getSenderName());
		message.setSenderName("Ex Ample");
		Assert.assertEquals("Ex Ample", message.getSenderName());
	}
	
	@Test
	public void testGetSenderIPAddress() {
		Message message = new RequestMessage("test");
		Assert.assertEquals("", message.getSenderIPAddress());
		message.setSenderIPAddress("127.0.0.1");
		Assert.assertEquals("127.0.0.1", message.getSenderIPAddress());
	}
	
	@Test
	public void testGetSenderPort() {
		Message  message = new RequestMessage("test");
		Assert.assertEquals(0, message.getSenderPort());
		message.setSenderPort(3801);
		Assert.assertEquals(3801, message.getSenderPort());
	}
	
	@Test
	public void testGetTopic() {
		Message  message = new RequestMessage("test");
		Assert.assertEquals("", message.getTopic());
		message.setTopic("test");
		Assert.assertEquals("test", message.getTopic());
	}
	
	@Test
	public void testGetReceiptText() {
		Assert.assertFalse(Message.receiptText().isEmpty());
	}
}
